org.codehaus.plexus.component.configurator

## Class AbstractComponentConfigurator

- java.lang.Object
- - org.codehaus.plexus.component.configurator.AbstractComponentConfigurator

All Implemented Interfaces:
  ComponentConfigurator

Direct Known Subclasses:
  BasicComponentConfigurator, MapOrientedComponentConfigurator

    public abstract class AbstractComponentConfigurator
    extends Object
    implements ComponentConfigurator

Version:
  $Id: AbstractComponentConfigurator.java 2636 2005-10-08 07:12:05Z brett $
Author:
  Brett Porter

### Field Summary

Fields
`protected ConverterLookup` `converterLookup`

### Fields inherited from interface org.codehaus.plexus.component.configurator.ComponentConfigurator

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractComponentConfigurator()`

### Method Summary

Methods
`void` `configureComponent(Object component, PlexusConfiguration configuration, ClassRealm containerRealm)`
`void` `configureComponent(Object component, PlexusConfiguration configuration, ExpressionEvaluator expressionEvaluator, ClassRealm containerRealm)`
`void` `configureComponent(Object component, PlexusConfiguration configuration, ExpressionEvaluator expressionEvaluator, ClassRealm containerRealm, ConfigurationListener listener)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### converterLookup

    protected ConverterLookup converterLookup

### Constructor Detail

#### AbstractComponentConfigurator

    public AbstractComponentConfigurator()

### Method Detail

#### configureComponent

    public void configureComponent(Object component,
                          PlexusConfiguration configuration,
                          ClassRealm containerRealm)
                            throws ComponentConfigurationException

Specified by:
  `configureComponent` in interface `ComponentConfigurator`
Throws:
  `ComponentConfigurationException`

#### configureComponent

    public void configureComponent(Object component,
                          PlexusConfiguration configuration,
                          ExpressionEvaluator expressionEvaluator,
                          ClassRealm containerRealm)
                            throws ComponentConfigurationException

Specified by:
  `configureComponent` in interface `ComponentConfigurator`
Throws:
  `ComponentConfigurationException`

#### configureComponent

    public void configureComponent(Object component,
                          PlexusConfiguration configuration,
                          ExpressionEvaluator expressionEvaluator,
                          ClassRealm containerRealm,
                          ConfigurationListener listener)
                            throws ComponentConfigurationException

Specified by:
  `configureComponent` in interface `ComponentConfigurator`
Throws:
  `ComponentConfigurationException`